Summary: gnuplot - an interactive plotting program (+ Japanized and more)
Name: gnuplot
Version: 3.7.1+1.2.0
Release: 1
Source: ftp://ftp.gnuplot.vt.edu/pub/gnuplot/gnuplot-3.7.1.tar.gz
Source1: ftp://ftp.ipc.chiba-u.ac.jp/pub/pub.yamaga/gnuplot+/3.7base/gnuplot3.7.1+1.2.0.patch.tar.gz
Copyright: see Copyright and Copyright.plus
Group: Application
URL: http://www.yama-ga.com/
Packager: Masahito Yamaga <ma@yama-ga.com>
Buildroot: /tmp/root-gnuplot
Prereq: /sbin/install-info

%changelog
* Thu Jan 11 2001 Masahito Yamaga <ma@yama-ga.com>
- 3.7.1+1.2.0

* Mon Nov  8 1999 Masahito Yamaga <yamaga@ipc.chiba-u.ac.jp>
- 3.7.1+1.1.9

* Fri Sep  3 1999 Masahito Yamaga <yamaga@ipc.chiba-u.ac.jp>
- 3.7.0.1+1.1.9

* Tue Jun 11 1999 Masahito Yamaga <yamaga@ipc.chiba-u.ac.jp>
- add information about /sbin/install-info

* Tue Jun  1 1999 Masahito Yamaga <yamaga@ipc.chiba-u.ac.jp>
- 3.7+1.1.9

* Tue Jan 29 1999 Masahito Yamaga <yamaga@ipc.chiba-u.ac.jp>
- first release

%description
Gnuplot is a command-driven interactive function plotting program.
See README.plus (or README-J.plus) and man-page.

%prep
%setup -n gnuplot-3.7.1
%setup -n gnuplot-3.7.1 -a 1 -D -T
patch -p0 -s < ./gnuplot3.7+1.2.patch

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
mkdir -p $RPM_BUILD_ROOT/usr/local/share
mkdir -p $RPM_BUILD_ROOT/usr/local/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/info

touch aclocal.m4
touch configure
./configure --with-vflib --with-readline=gnu --without-linux-vga

%build
make
cd docs
make gnuplot.info gnuplot.html
cp gnuplot.html ..

%install
make install prefix=$RPM_BUILD_ROOT/usr/local
gzip -9 $RPM_BUILD_ROOT/usr/local/man/man1/gnuplot.1
install -c -m 644 docs/gnuplot.info $RPM_BUILD_ROOT/usr/info/gnuplot.info
gzip -9 $RPM_BUILD_ROOT/usr/info/gnuplot.info

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /sbin/install-info ]; then
    /sbin/install-info /usr/info/gnuplot.info.gz /usr/info/dir
fi

%preun
if [ $1 = 0 -a -x /sbin/install-info ]; then
    /sbin/install-info --delete /usr/info/gnuplot.info.gz /usr/info/dir
fi

%files
%doc 0BUGS 0FAQ 0INSTALL 0PORTING 0README Copyright ChangeLog TODO gnuplot.html
%doc Copyright.plus README-J.plus README.plus
%doc INSTALL-J.unx.plus INSTALL.unx.plus History.plus
%doc gp+/plus.tex gp+/plus.dvi gp+/plus.ps gp+/plus.pdf
%defattr(-,root,root,-)
/usr/local/bin/gnuplot
/usr/local/bin/gnuplot_x11
/usr/local/man/man1/gnuplot.1.gz
/usr/local/share/gnuplot.gih
/usr/info/gnuplot.info.gz
